/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "MainActivity.h"


#define errorColor [NSColor colorWithRed:255.0/255.0 green:0.0/0.0 blue:0.0/0.0 alpha:1.0];

@interface Preferences : NSWindowController {
    
    IBOutlet NSTextField *serverField;
    IBOutlet NSTextField *portField;
    IBOutlet NSTextField *usernameField;
    IBOutlet NSTextField *passwordField;
    
    IBOutlet NSTextField *labelIP;
    IBOutlet NSTextField *labelPort;
    
    IBOutlet NSTextField *serverHTTPField;
    IBOutlet NSButton *checkButtonHTTP;
    IBOutlet NSTextField *argsPHPField;
    IBOutlet NSButton *checkButtonPHP;
    
}

@property (strong) IBOutlet NSWindow *prefwindow;

- (IBAction)save:(id)sender;
- (IBAction)cancel:(id)sender;

- (IBAction)buttonHTTP:(NSButton *)sender;
- (IBAction)buttonPHP:(NSButton *)sender;

@end
